# -*- encoding: utf-8 -*-
# stub: activeresource 6.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "activeresource".freeze
  s.version = "6.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/rails/activeresource/issues", "changelog_uri" => "https://github.com/rails/activeresource/releases/tag/v6.1.0", "documentation_uri" => "http://rubydoc.info/gems/activeresource", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/rails/activeresource/tree/v6.1.0" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["David Heinemeier Hansson".freeze]
  s.date = "2024-05-16"
  s.description = "REST on Rails. Wrap your RESTful web app with Ruby classes and work with them like Active Record models.".freeze
  s.email = "david@loudthinking.com".freeze
  s.files = ["MIT-LICENSE".freeze, "README.md".freeze, "lib/active_resource".freeze, "lib/active_resource.rb".freeze, "lib/active_resource/active_job_serializer.rb".freeze, "lib/active_resource/associations".freeze, "lib/active_resource/associations.rb".freeze, "lib/active_resource/associations/builder".freeze, "lib/active_resource/associations/builder/association.rb".freeze, "lib/active_resource/associations/builder/belongs_to.rb".freeze, "lib/active_resource/associations/builder/has_many.rb".freeze, "lib/active_resource/associations/builder/has_one.rb".freeze, "lib/active_resource/base.rb".freeze, "lib/active_resource/callbacks.rb".freeze, "lib/active_resource/collection.rb".freeze, "lib/active_resource/connection.rb".freeze, "lib/active_resource/custom_methods.rb".freeze, "lib/active_resource/exceptions.rb".freeze, "lib/active_resource/formats".freeze, "lib/active_resource/formats.rb".freeze, "lib/active_resource/formats/json_format.rb".freeze, "lib/active_resource/formats/xml_format.rb".freeze, "lib/active_resource/http_mock.rb".freeze, "lib/active_resource/inheriting_hash.rb".freeze, "lib/active_resource/log_subscriber.rb".freeze, "lib/active_resource/railtie.rb".freeze, "lib/active_resource/reflection.rb".freeze, "lib/active_resource/schema.rb".freeze, "lib/active_resource/singleton.rb".freeze, "lib/active_resource/threadsafe_attributes.rb".freeze, "lib/active_resource/validations.rb".freeze, "lib/active_resource/version.rb".freeze, "lib/activeresource.rb".freeze]
  s.homepage = "http://www.rubyonrails.org".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "REST modeling framework (part of Rails).".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 6.0"])
    s.add_runtime_dependency(%q<activemodel>.freeze, [">= 6.0"])
    s.add_runtime_dependency(%q<activemodel-serializers-xml>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<mocha>.freeze, [">= 0.13.0"])
    s.add_development_dependency(%q<rexml>.freeze, [">= 0"])
  else
    s.add_dependency(%q<activesupport>.freeze, [">= 6.0"])
    s.add_dependency(%q<activemodel>.freeze, [">= 6.0"])
    s.add_dependency(%q<activemodel-serializers-xml>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<mocha>.freeze, [">= 0.13.0"])
    s.add_dependency(%q<rexml>.freeze, [">= 0"])
  end
end
